SDL_PenSubtype(3type)

NAME
SDL_PenSubtype - Pen types

HEADER FILE
Defined in SDL3/SDL_pen.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef enum SDL_PenSubtype
{
    SDL_PEN_TYPE_UNKNOWN = 0,
    SDL_PEN_TYPE_ERASER = 1,                  /**< Eraser */
    SDL_PEN_TYPE_PEN,                         /**< Generic pen; this is the default. */
    SDL_PEN_TYPE_PENCIL,                      /**< Pencil */
    SDL_PEN_TYPE_BRUSH,                       /**< Brush-like device */
    SDL_PEN_TYPE_AIRBRUSH,                    /**< Airbrush device that sprays"ink*/
    SDL_PEN_TYPE_LAST = SDL_PEN_TYPE_AIRBRUSH /**< Last valid pen type */
} SDL_PenSubtype;

DESCRIPTION
Some pens identify as a particular type of drawing device (e.g., an airbrush or a pencil).

AVAILABILITY
This enum is available since SDL 3.0.0